Bug 149223 - Bad: on boot cannot see lvm created filesystems
Bad: on boot cannot see lvm created filesystems
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
athlon Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 09:48 EST by pavlidis
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:20:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description pavlidis 2005-02-21 09:48:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040514

Description of problem:
I installed FC3 and all updates on a system with nforce2 chipset and 2
(two) disk 80GB each. I used LVM and created a logical volume of 100
GB. Later I add two (2) disks of 200GB each, one PATA and one SATA.
The motherboard is an MSI W6570 which has an extra promise controller
for SATA. I disabled raid, and used it as SATA controller only. I
added the space to the VG and resize the filesystem correctly. So far
so good.
All these have been done without any trickery to services etc of the
the  verbatim FC3 system. 
Then I decided to use only level 3. Upon reboot the VG and the logical
volume with the /home filesystem vanished. Re-enabling level 5 and
reboot and all is ok. Also the same happens if I remove the rhgb
option on the boot in the grub.
What is the neccessary module that makes the lvm work in level 5 and
not in level 3? 
I have already checked and have the same services run in both
runlevels. So something else must be the culprit.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Set runlevel=3 or remove rhgb from boot line
2.
3.
    

Actual Results:  The system does not boot. It enter either in
maintenance mode or reboot.

Expected Results:  the system should boot mounting correctly the lvm
either in runlevel=3 or 5.

Additional info:
Comment 1 Dave Jones 2005-07-15 15:14:41 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 21:20:00 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.